import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { Service } from '@s-ui/domain';
export var FinishWorkTaskService = /*#__PURE__*/function (_Service) {
  _inheritsLoose(FinishWorkTaskService, _Service);
  function FinishWorkTaskService(_ref) {
    var _this;
    var config = _ref.config,
      taskRepository = _ref.taskRepository;
    _this = _Service.call(this) || this;
    _this._config = config;
    _this._taskRepository = taskRepository;
    return _this;
  }
  var _proto = FinishWorkTaskService.prototype;
  _proto.execute = function execute(_temp) {
    var _ref2 = _temp === void 0 ? {} : _temp,
      taskId = _ref2.taskId,
      workId = _ref2.workId;
    var work = this._taskRepository.getWork(taskId, workId);
    work._status.setValue(this._config.get('AVAILABLE_STATUS').COMPLETED);
    work._percentage.set(100);
    work._finishedAt.set(new Date());
    var callback = work._onComplete.get();
    callback(work.toJSON());
    return this._taskRepository.updateWork(work);
  };
  return FinishWorkTaskService;
}(Service);